import * as React from 'react';
const ShareIcon = ({
  size,
  color = 'currentColor',
  ...props
}: { size?: number; color?: string } & React.SVGProps<any>) => (
  <svg
    width={size || 15}
    height={size || 17}
    viewBox="0 0 24 24"
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
    {...props}
  >
    <path
      d="M17 2C14.7909 2 13 3.79086 13 6C13 6.31927 13.0376 6.63043 13.1087 6.92901L8.95396 9.30313C8.22322 8.50321 7.17085 8 6 8C3.79086 8 2 9.79086 2 12C2 14.2091 3.79086 16 6 16C7.17085 16 8.22322 15.4968 8.95396 14.6969L13.1087 17.071C13.0376 17.3696 13 17.6807 13 18C13 20.2091 14.7909 22 17 22C19.2091 22 21 20.2091 21 18C21 15.7909 19.2091 14 17 14C15.8291 14 14.7768 14.5032 14.046 15.3031L9.89133 12.929C9.96241 12.6304 10 12.3193 10 12C10 11.6807 9.96241 11.3696 9.89133 11.071L14.046 8.69687C14.7768 9.49679 15.8291 10 17 10C19.2091 10 21 8.20914 21 6C21 3.79086 19.2091 2 17 2Z"
      fill={color}
    />
  </svg>
);
export default ShareIcon;
